## netlib-java 0.9.3

=== jni/Makefile ===
include Makefile.incl

all: jniblas jnilapack jniarpack

jniblas: $(LIBPREPEND)jniblas$(LIBAPPEND)

jnilapack: $(LIBPREPEND)jnilapack$(LIBAPPEND)

jniarpack: $(LIBPREPEND)jniarpack$(LIBAPPEND)

$(LIBPREPEND)jniblas$(LIBAPPEND): org_netlib_blas_NativeBLAS.h org_netlib_blas_NativeBLAS.o f2j_jni.o
	$(LD) $(LDFLAGS) $(BLAS_LIBS) org_netlib_blas_NativeBLAS.o f2j_jni.o -o $@

$(LIBPREPEND)jnilapack$(LIBAPPEND): org_netlib_lapack_NativeLAPACK.h org_netlib_lapack_NativeLAPACK.o f2j_jni.o
	$(LD) $(LDFLAGS) $(BLAS_LIBS) $(LAPACK_LIBS) org_netlib_lapack_NativeLAPACK.o f2j_jni.o -o $@

$(LIBPREPEND)jniarpack$(LIBAPPEND): org_netlib_arpack_NativeARPACK.h org_netlib_arpack_NativeARPACK.o f2j_jni.o arpack.a
	$(LD) $(LDFLAGS) $(BLAS_LIBS) $(LAPACK_LIBS) $(FORTRAN_LIBS) org_netlib_arpack_NativeARPACK.o f2j_jni.o arpack.a -o $@

arpack.a:
	rm -f ARPACK/SRC/dnaupe.f 2>/dev/null
	rm -f ARPACK/SRC/snaupe.f 2>/dev/null
	cd ARPACK/UTIL/ ; $(FC) $(FFLAGS) -c *.f
	cd ARPACK/SRC/ ; $(FC) $(FFLAGS) -c *.f
	ar rc arpack.a ARPACK/UTIL/*.o ARPACK/SRC/*.o

%.o: %.c %.h
	$(CC) $(CPPFLAGS) $(LAPACK_INCLUDES) $(CFLAGS) -c $*.c

org_netlib_blas_NativeBLAS.h:
	javah -classpath $(JLAPACK_JNI_CP) -jni org.netlib.blas.NativeBLAS

org_netlib_lapack_NativeLAPACK.h:
	javah -classpath $(JLAPACK_JNI_CP) -jni org.netlib.lapack.NativeLAPACK

org_netlib_arpack_NativeARPACK.h:
	javah -classpath $(JLAPACK_JNI_CP) -jni org.netlib.arpack.NativeARPACK

clean:
	rm -f *.o ARPACK/UTIL/*.o ARPACK/SRC/*.o arpack.a org_*.h

distclean: clean
	rm -f *.dll *.so *.jnilib Makefile.incl
	rm -rf ARPACK

=== debian/changelog ===
netlib-java (0.9.3-7) unstable; urgency=medium

  [ Dominik Stadler ]
  * Team upload.
  * Add patch to set source to 1.8 as 1.5 is not supported with JDK 11
  * Add patch to fail on generate-task to not hide errors in build-output
    Closes: #923759, #924804
  * Enhance patch to use a fixed list for the classpath to allow building
    on JDK

  [ Andreas Tille ]
  * debhelper-compat 12
  * Standards-Version: 4.4.0
  * Trim trailing whitespace.

 -- Andreas Tille <tille@debian.org>  Wed, 18 Sep 2019 21:18:23 +0200

netlib-java (0.9.3-6) unstable; urgency=medium

  * Drop /build/netlib-java-0.9.3 from URLs

 -- Andreas Tille <tille@debian.org>  Wed, 27 Mar 2019 08:35:16 +0100

netlib-java (0.9.3-5) unstable; urgency=medium

  * Fix URLClassLoader
    Closes: #923759

 -- Andreas Tille <tille@debian.org>  Tue, 26 Mar 2019 16:47:32 +0100

netlib-java (0.9.3-4) unstable; urgency=medium

  * Deactivate watch file since in debian/README.source is declared that
    we do not really want to package the new versions
  * debhelper 12
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.3.0
  * Secure URI in copyright format

 -- Andreas Tille <tille@debian.org>  Sun, 13 Jan 2019 21:11:05 +0100

netlib-java (0.9.3-3) unstable; urgency=medium

  * Add README.source why the old version is kept instead to upgrade to
    the latest upstream version
  * Upload to unstable (main)

 -- Andreas Tille <tille@debian.org>  Sat, 25 Jun 2016 08:46:13 +0200

netlib-java (0.9.3-2) experimental; urgency=low

  * Upload to main since preconditions are in main as well
  * debian/copyright:
     - DEP5
     - new upstream location
  * cme fix dpkg-control
  * debhelper 9
  * Move from Debian Med team to pkg-java team maintenance
  * Add manifest

 -- Andreas Tille <tille@debian.org>  Thu, 14 Apr 2016 14:30:50 +0200

netlib-java (0.9.3-1) unstable; urgency=low

  * Initial release (Closes: #665343)

 -- Olivier Sallou <osallou@debian.org>  Mon, 26 Mar 2012 14:15:20 +0200

=== debian/control ===
Source: netlib-java
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Olivier Sallou <osallou@debian.org>,
           Andreas Tille <tille@debian.org>
Section: java
Priority: optional
Build-Depends: debhelper-compat (= 12),
               unzip,
               f2j,
               libjlapack-java,
               javahelper,
               default-jdk,
               junit,
               ant
Standards-Version: 4.4.0
Vcs-Browser: https://salsa.debian.org/java-team/netlib-java
Vcs-Git: https://salsa.debian.org/java-team/netlib-java.git
Homepage: https://github.com/fommil/netlib-java/

Package: libnetlib-java
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${java:Depends},
         f2j,
         libjlapack-java
Description: collection of mission-critical software components for linear algebra systems
 Netlib is a collection of mission-critical software components for linear
 algebra systems (i.e. working with vectors or matrices).
 .
 Netlib libraries are written in C, Fortran or optimised assembly code.
 This package provides a Java translation but it does not take advantage of
 optimised system libraries.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with javahelper

override_dh_auto_build:
	ant clean generate compile package

get-orig-source:
	debian/get-orig-source

override_jh_installjavadoc:
	jh_installjavadoc dist/javadoc

override_dh_clean:
	rm -f netlib-java.jar
	dh_clean

=== debian/watch ===
version=4

opts="dversionmangle=s/.*/0.No-Track/;auto,repacksuffix=+dfsg,repack,compression=xz" \
   https://people.debian.org/~eriberto/ FakeWatchNoUpstreamTrackingForThisPackage-(\d\S+)\.gz

# https://github.com/fommil/netlib-java/releases .*/archive/(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)
